com.smartgwt.client.types

## Enum ControlName

- java.lang.Object
- - java.lang.Enum<ControlName>
  - - com.smartgwt.client.types.ControlName

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ControlName>

      public enum ControlName
      extends java.lang.Enum<ControlName>
      implements ValueEnum

  Names for the standard controls built into the RichTextEditor. You can use these `ControlNames` in APIs like `styleControls` to control the order in which controls appear, to omit default controls or to show controls that are not shown by default.

  Every `ControlName` is also the name of an `com.smartgwt.client.types.AutoChild`, so all the built-in controls can be skinned or otherwise customized via the `AutoChild system`. Note that the AutoChild name in each case is the camelCaps version of the `ControlName` value. For example, use "boldSelection" as the name of the AutoChild for the bold button, not "BOLDSELECTION".

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGNCENTER` A button to center the selected text.
    `ALIGNLEFT` A button to left-align the selected text.
    `ALIGNRIGHT` A button to right-align the selected text.
    `BACKGROUNDCOLOR` A color picker allowing the user to set the text background color.
    `BOLDSELECTION` A button to make the current selection bold.
    `COLOR` A color-picker allowing the user to set the text color.
    `FONTSELECTOR` A select item allowing the user to change the font of the current text selection.
    `FONTSIZESELECTOR` A select item allowing the user to change the font size of the current text selection.
    `INDENT` Within text, indents the paragraph.
    `ITALICSELECTION` A button to make the current selection italic.
    `JUSTIFY` A button to justify the selected line of text.
    `LISTPROPERTIES` Shows the `listPropertiesDialog` to allow configuring the options of the currently selected HTML list.
    `ORDEREDLIST` Turns the current selection into an ordered list (HTML <ol>) or converts an unordered list to an ordered list.
    `OUTDENT` Within text, outdents the paragraph.
    `UNDERLINESELECTION` A button to make the current selection underlined.
    `UNORDEREDLIST` Turns the current selection into an unordered list (HTML <ul>) or converts an ordered list to an unordered list.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ControlName` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ControlName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOLDSELECTION

          public static final ControlName BOLDSELECTION

      A button to make the current selection bold.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "boldSelection".

    - #### ITALICSELECTION

          public static final ControlName ITALICSELECTION

      A button to make the current selection italic.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "italicSelection".

    - #### UNDERLINESELECTION

          public static final ControlName UNDERLINESELECTION

      A button to make the current selection underlined.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "underlineSelection".

    - #### FONTSELECTOR

          public static final ControlName FONTSELECTOR

      A select item allowing the user to change the font of the current text selection.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fontSelector".

    - #### FONTSIZESELECTOR

          public static final ControlName FONTSIZESELECTOR

      A select item allowing the user to change the font size of the current text selection.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fontSizeSelector".

    - #### ALIGNLEFT

          public static final ControlName ALIGNLEFT

      A button to left-align the selected text.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "alignLeft".

    - #### ALIGNRIGHT

          public static final ControlName ALIGNRIGHT

      A button to right-align the selected text.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "alignRight".

    - #### ALIGNCENTER

          public static final ControlName ALIGNCENTER

      A button to center the selected text.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "alignCenter".

    - #### JUSTIFY

          public static final ControlName JUSTIFY

      A button to justify the selected line of text.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "justify".

    - #### COLOR

          public static final ControlName COLOR

      A color-picker allowing the user to set the text color.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "color".

    - #### BACKGROUNDCOLOR

          public static final ControlName BACKGROUNDCOLOR

      A color picker allowing the user to set the text background color.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "backgroundColor".

    - #### INDENT

          public static final ControlName INDENT

      Within text, indents the paragraph. Within a list, increases the list level.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "indent".

    - #### OUTDENT

          public static final ControlName OUTDENT

      Within text, outdents the paragraph. Within a list, decreases the list level.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "outdent".

    - #### ORDEREDLIST

          public static final ControlName ORDEREDLIST

      Turns the current selection into an ordered list (HTML <ol>) or converts an unordered list to an ordered list.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "orderedList".

    - #### UNORDEREDLIST

          public static final ControlName UNORDEREDLIST

      Turns the current selection into an unordered list (HTML <ul>) or converts an ordered list to an unordered list.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "unorderedList".

    - #### LISTPROPERTIES

          public static final ControlName LISTPROPERTIES

      Shows the `listPropertiesDialog` to allow configuring the options of the currently selected HTML list.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "listProperties".

  - ### Method Detail

    - #### values

          public static ControlName[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ControlName c : ControlName.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ControlName valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`